Relesys API Docs

v1.4

https://api.relesystest.net/api/v1.4

Task Management

Get
GET /taskmanagementmodules/{moduleId}/tasks/{taskId}
https://api.relesystest.net/api/v1.4/taskmanagementmodules/{moduleId}/tasks/{taskId}
Get the task with ID taskId in a module with ID moduleId.

All types of tasks can be queried with this endpoint: standalone tasks, recurrence containers as well as individual tasks in a recurring series.
These types can be differentiated by the following properties:
  • Recurrence container - has recurrence property
  • Recurrence task - has parentIssueToken property
  • Standalone task - does not have recurrence or parentIssueToken properties
recurrence is based on iCalendar RFC 5545 standard and defines how the system creates a list of tasks in a series.

There are the following assignee types:
  • Everyone - all users that have access to the task are required to complete it.
    NOTE: assigneeIds property is not populated in such scenario.
  • ByDepartmentType - at least one user per department type is required, with hierarchical departments included if they exist. assignedDepartmentType property is populated and assigneeIds property is not populated in such cases.
  • SelectedUsers_AtLeastOne - at least one user listed in assigneeIds is required to complete the task.
  • SelectedUsers_RequireAll - all users listed in assigneeIds are required to complete the task.
For more information on permissions and recurrence rules visit their respective concept pages.
Scopes: relesys.api, relesys.api:read, relesys.api.taskmanagement, relesys.api.taskmanagement:read
URL Path
moduleId string / guid The module's unique identifier required
taskId string / guid The tasks's unique identifier required
Responses
application/json
JSON
{"data":{"id":"c76d43f9-70af-4e04-a3eb-5ed9a9f9aa1c","name":"Internal name","recurrence":"FREQ=DAILY;DTSTART=20251010T130000;INTERVAL=1;COUNT=2","parentId":null,"priority":false,"locales":[{"culture":"en-GB","title":"Title 1","summary":"Summary 1"},{"culture":"da-DK","title":"Title 2","summary":"Summary 2"}],"categoryIds":["3d77cf19-8f98-4537-b0f7-57a103349c3d","e78b2115-7fd1-44f5-8a49-34354f22bbea"],"availableFrom":"2025-10-10T13:00:00","availableFromTimeZone":"FLE Standard Time","availableUntil":"2025-10-10T14:00:00","availableUntilTimeZone":"FLE Standard Time","subtaskIds":["35f0071c-d7fd-4ea7-8ec5-126cd3a3a839","dede97c3-e3e3-414d-a2e2-0344ab5d8545"],"serviceFormId":null,"medias":[{"id":"dde368df-337e-4679-8939-b023fbad5895","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"FileName.png"},{"id":"a860065f-eb39-4245-bf22-7b7f9e8904ac","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"FileName.png"}],"permissions":[{"departments":[{"url":null,"name":"Department 1","id":"f33d54ba-3f73-429a-83c0-a91b38802cce"},{"url":null,"name":"Department 2","id":"ad4868d5-569a-4aa4-bea8-109147ec623e"}],"userGroups":[{"url":null,"name":"User group 1","id":"fe9a67e3-2b8f-4076-9c05-d8b1acbf8ba1"},{"url":null,"name":"User group 2","id":"7f9e8688-bf63-4f8a-9164-13655ed7cc24"}],"requireAllUserGroups":false}],"status":"Published","assigneeType":"SelectedUsers_AtLeastOne","assigneeIds":["21514241-388f-4db0-8c5c-7ba8e35efa6c","63157c12-646b-4176-a66f-aed25cf808a7"],"assignedDepartmentType":null,"notifyManagerOfDepartmentType":"Country","reminderDueSoonIntervalInDays":1,"reminderIntervalInDays":null,"lockByAvailableFrom":false,"lockByAvailableUntil":true,"hideAuthor":false,"disableComments":false,"isUnsynchronizedWithParent":null,"creationDateTime":"2025-10-09T13:00:00+00:00","lastModifiedDateTime":null}}
object
  ⯈ data object      
   assignedDepartmentType string      
   assigneeIds array[string / guid]      
   assigneeType string      
   availableFrom string      
   availableFromTimeZone string      
   availableUntil string      
   availableUntilTimeZone string      
   categoryIds array[string / guid]      
   creationDateTime datetimeoffset      
   disableComments boolean      
   hideAuthor boolean      
   id string / guid      
   isUnsynchronizedWithParent boolean      
   lastModifiedDateTime datetimeoffset      
   ⯈ locales array[object]      
    culture string      
    summary string      
    title string      
   lockByAvailableFrom boolean      
   lockByAvailableUntil boolean      
   ⯈ medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   name string      
   notifyManagerOfDepartmentType string      
   parentId string / guid      
   ⯈ permissions array[object]      
    ⯈ departments array[object]      
     id string / guid      
     name string      
     url string      
    requireAllUserGroups boolean      
    ⯈ userGroups array[object]      
     id string / guid      
     name string      
     url string      
   priority boolean      
   recurrence string      
   reminderDueSoonIntervalInDays integer      
   reminderIntervalInDays integer      
   serviceFormId string / guid      
   status string      
   subtaskIds array[string / guid]